Subject: Re: [PATCH] headers: Preserve 'change-id' header in rebase / cherry-pick.

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 Apr 2026 07:33:14 -0700

Nico Williams <[email-masked]> writes:

> On Mon, Apr 06, 2026 at 11:58:19PM -0500, Nico Williams wrote:
>> Maybe that's the trick: local configuration for determining the
>> copy-or-drop semantic for different operations, and maybe hooks for
>> altering when copying.  [...]
>
> I should add that I would want an original-change-id header that could
> be used (again, optionally) to relate commits that get cherry-picked or
> rebased but end up having different change-ids.

With these people with (possibly just slightly) different wants
different project may have, wouldn't it work to record this kind of
random pieces of information either in notes (the benefit being that
it can be corrected without having to rewrite history) or in
trailers?